# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
def upgrade_databases(qgis_project):
    if qgis_project.open_mode == "project":
        qgis_project.polaris_project.upgrade()
    elif qgis_project.open_mode == "supply":
        qgis_project._network.upgrade()
    else:
        qgis_project.show_message_no_supply()
